package com.leanwo.activiti.dto.base;

import java.util.Date;

/**
 * 流程实例保存请求dto.
 */
public class TaskInstanceSaveRequest {

	/**
	 * 时间序列号.
	 */
	private Long timeSerialNumber;

	/** 任务id. */
	private Long taskDefineId;

	/** 公司id. */
	private Long clientId;

	/** 用户id. */
	private Long userId;

	/**
	 * Gets the 时间序列号.
	 *
	 * @return the 时间序列号
	 */
	public Long getTimeSerialNumber() {
		return timeSerialNumber;
	}

	/**
	 * Sets the 时间序列号.
	 *
	 * @param timeSerialNumber the new 时间序列号
	 */
	public void setTimeSerialNumber(Long timeSerialNumber) {
		this.timeSerialNumber = timeSerialNumber;
	}

	/**
	 * Gets the 任务id.
	 *
	 * @return the 任务id
	 */
	public Long getTaskDefineId() {
		return taskDefineId;
	}

	/**
	 * Sets the 任务id.
	 *
	 * @param taskDefineId the new 任务id
	 */
	public void setTaskDefineId(Long taskDefineId) {
		this.taskDefineId = taskDefineId;
	}

	/**
	 * Gets the 公司id.
	 *
	 * @return the 公司id
	 */
	public Long getClientId() {
		return clientId;
	}

	/**
	 * Sets the 公司id.
	 *
	 * @param clientId the new 公司id
	 */
	public void setClientId(Long clientId) {
		this.clientId = clientId;
	}

	/**
	 * Gets the 用户id.
	 *
	 * @return the 用户id
	 */
	public Long getUserId() {
		return userId;
	}

	/**
	 * Sets the 用户id.
	 *
	 * @param userId the new 用户id
	 */
	public void setUserId(Long userId) {
		this.userId = userId;
	}

}
